API reference
Products
A product is reproduced faithfully (shape, label, colours) when you pass product_id to image or video generation. Plan limits apply (Influencer 20, Agency 50). Creating products is free.
The product object
- idstring
Product ID.
- objectstring
Always
product. - namestring
Display name.
- categorystring | null
Free-form category.
- imagesstring[]
Stored product photos.
- analysisobject | null
Product analysis used to preserve it.
- created_atinteger
Unix ms.
- updated_atinteger
Unix ms.
From 1–3 photos of the product, ideally on a plain background.
Body
- namestringrequired
1–40 characters.
- imagesstring (media)[]required
1–3 photos. Upload ID (
upl_…), publichttps://URL, or base64 data URL. - categorystring
e.g. skincare, apparel, beverage.
Errors
| Code | When |
|---|---|
LIMIT_REACHED | Product limit for the plan reached. |
Request
curl -X POST https://api.oriorai.com/v1/products \
-H "Authorization: Bearer $ORIOR_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"name": "Glow Serum",
"images": [
"upl_9e…"
],
"category": "skincare"
}'const response = await fetch('https://api.oriorai.com/v1/products', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.ORIOR_API_KEY}`,
'Idempotency-Key': crypto.randomUUID(),
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "Glow Serum",
"images": [
"upl_9e…"
],
"category": "skincare"
}),
})
const data = await response.json()
if (!response.ok) throw new Error(`${data.error.code}: ${data.error.message}`)import os, uuid
import requests
response = requests.post(
"https://api.oriorai.com/v1/products",
headers={"Authorization": f"Bearer {os.environ['ORIOR_API_KEY']}", "Idempotency-Key": str(uuid.uuid4())},
json={
"name": "Glow Serum",
"images": ["upl_9e…"],
"category": "skincare",
},
timeout=60,
)
response.raise_for_status()
data = response.json()Response · 201
{
"id": "Pm3kT9aQ",
"object": "product",
"name": "Glow Serum",
"category": "skincare",
"images": [
"https://storage.googleapis.com/…/products/Pm3kT9aQ/img-0.jpg"
],
"analysis": {
"product_analysis": {
"type": "bottle",
"detailed_description": "…"
}
},
"created_at": 1758620000000,
"updated_at": 1758620000000
}All products of the account.
No parameters
Request
curl https://api.oriorai.com/v1/products \
-H "Authorization: Bearer $ORIOR_API_KEY"const response = await fetch('https://api.oriorai.com/v1/products', {
headers: {
Authorization: `Bearer ${process.env.ORIOR_API_KEY}`,
},
})
const data = await response.json()
if (!response.ok) throw new Error(`${data.error.code}: ${data.error.message}`)import os
import requests
response = requests.get(
"https://api.oriorai.com/v1/products",
headers={"Authorization": f"Bearer {os.environ['ORIOR_API_KEY']}"},
timeout=60,
)
response.raise_for_status()
data = response.json()Response · 200
{
"data": [
{
"id": "Pm3kT9aQ",
"object": "product",
"name": "Glow Serum",
"category": "skincare",
"images": [
"https://storage.googleapis.com/…/products/Pm3kT9aQ/img-0.jpg"
],
"analysis": {
"product_analysis": {
"type": "bottle",
"detailed_description": "…"
}
},
"created_at": 1758620000000,
"updated_at": 1758620000000
}
]
}One product.
Path parameters
- idstringrequired
Product ID.
Request
curl https://api.oriorai.com/v1/products/Pm3kT9aQ \
-H "Authorization: Bearer $ORIOR_API_KEY"const response = await fetch('https://api.oriorai.com/v1/products/Pm3kT9aQ', {
headers: {
Authorization: `Bearer ${process.env.ORIOR_API_KEY}`,
},
})
const data = await response.json()
if (!response.ok) throw new Error(`${data.error.code}: ${data.error.message}`)import os
import requests
response = requests.get(
"https://api.oriorai.com/v1/products/Pm3kT9aQ",
headers={"Authorization": f"Bearer {os.environ['ORIOR_API_KEY']}"},
timeout=60,
)
response.raise_for_status()
data = response.json()Response · 200
{
"id": "Pm3kT9aQ",
"object": "product",
"name": "Glow Serum",
"category": "skincare",
"images": [
"https://storage.googleapis.com/…/products/Pm3kT9aQ/img-0.jpg"
],
"analysis": {
"product_analysis": {
"type": "bottle",
"detailed_description": "…"
}
},
"created_at": 1758620000000,
"updated_at": 1758620000000
}Change the name.
Path parameters
- idstringrequired
Product ID.
Body
- namestringrequired
1–40 characters.
Request
curl -X PATCH https://api.oriorai.com/v1/products/Pm3kT9aQ \
-H "Authorization: Bearer $ORIOR_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"name": "Glow Serum 30ml"
}'const response = await fetch('https://api.oriorai.com/v1/products/Pm3kT9aQ', {
method: 'PATCH',
headers: {
Authorization: `Bearer ${process.env.ORIOR_API_KEY}`,
'Idempotency-Key': crypto.randomUUID(),
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "Glow Serum 30ml"
}),
})
const data = await response.json()
if (!response.ok) throw new Error(`${data.error.code}: ${data.error.message}`)import os, uuid
import requests
response = requests.patch(
"https://api.oriorai.com/v1/products/Pm3kT9aQ",
headers={"Authorization": f"Bearer {os.environ['ORIOR_API_KEY']}", "Idempotency-Key": str(uuid.uuid4())},
json={
"name": "Glow Serum 30ml",
},
timeout=60,
)
response.raise_for_status()
data = response.json()Response · 200
{
"id": "Pm3kT9aQ",
"object": "product",
"name": "Glow Serum 30ml",
"category": "skincare",
"images": [
"https://storage.googleapis.com/…/products/Pm3kT9aQ/img-0.jpg"
],
"analysis": {
"product_analysis": {
"type": "bottle",
"detailed_description": "…"
}
},
"created_at": 1758620000000,
"updated_at": 1758620000000
}Deletes the product. Past generations are kept.
Path parameters
- idstringrequired
Product ID.
Request
curl -X DELETE https://api.oriorai.com/v1/products/Pm3kT9aQ \
-H "Authorization: Bearer $ORIOR_API_KEY" \
-H "Idempotency-Key: $(uuidgen)"const response = await fetch('https://api.oriorai.com/v1/products/Pm3kT9aQ', {
method: 'DELETE',
headers: {
Authorization: `Bearer ${process.env.ORIOR_API_KEY}`,
'Idempotency-Key': crypto.randomUUID(),
},
})
const data = await response.json()
if (!response.ok) throw new Error(`${data.error.code}: ${data.error.message}`)import os, uuid
import requests
response = requests.delete(
"https://api.oriorai.com/v1/products/Pm3kT9aQ",
headers={"Authorization": f"Bearer {os.environ['ORIOR_API_KEY']}", "Idempotency-Key": str(uuid.uuid4())},
timeout=60,
)
response.raise_for_status()
data = response.json()Response · 200
{
"id": "Pm3kT9aQ",
"object": "product",
"deleted": true
}